Loading...
Searching...
No Matches
restinio::easy_parser::impl::to_lower_transformer_t< char > Struct Reference

An implementation of transformer that converts the content of the input character to lower case. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::to_lower_transformer_t< char >:

## Public Types

using | input_type = char
Public Types inherited from restinio::easy_parser::impl::transformer_tag< char >
using | result_type = char

## Public Member Functions

RESTINIO_NODISCARD result_type | transform (input_type &&input) const noexcept

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::transformer_tag< char >
static constexpr entity_type_t | entity_type

## Detailed Description

An implementation of transformer that converts the content of the input character to lower case.

Since
  v.0.6.6

Definition at line 3076 of file easy_parser.hpp.

## Member Typedef Documentation

## input_type

using restinio::easy_parser::impl::to_lower_transformer_t< char >::input_type = char

Definition at line 3079 of file easy_parser.hpp.

## Member Function Documentation

## transform()

RESTINIO_NODISCARD result_type restinio::easy_parser::impl::to_lower_transformer_t< char >::transform | ( | input_type && | input | ) | const

inline noexcept

Definition at line 3083 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp